<?php
namespace Claromentis\Core\UseCase;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_a1c260e43d8435075a" . "33db47a67a2ccf" => base64_decode("c3lzdGVtX3V1a" . "WQ="));
use Claromentis\Core\Util\UuidGenerator;
use Claromentis\Core\Variable\DbVarService;
class RegenerateUuid
{
    
    
    
    
    protected $db_var;
    public function __construct(DbVarService $_0b8990bd6c1bb6b5aa2d44f462f2dbeb)
    {
        $this->db_var = $_0b8990bd6c1bb6b5aa2d44f462f2dbeb;
    }
    
    
    
    
    public function Regenerate() : string
    {
        $_5efefce55b8d13a167107bc50eff7e41 = UuidGenerator::GenerateVersionFour();
        $this->db_var->Set($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_a1c260e43d8435075a33db47" . "a67a2ccf"], $_5efefce55b8d13a167107bc50eff7e41);
        return $_5efefce55b8d13a167107bc50eff7e41;
    }
    public function GetUuid() : string
    {
        return $this->db_var->Get($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_a1c260e43d8435075a33db47a67a2c" . "cf"]);
    }
}